macOS 10.15.1 and S...
 
Notifications
Clear all

macOS 10.15.1 and SoftRAID 5.8 still requires Secure Boot to be off

Page 1 / 2
(@dmbrown)
Active Member Customer

I installed macOS 10.15.1 on my iMac Pro, which had been running macOS 10.15 and SoftRAID 5.8. Unfortunately, in order for the SoftRAID 5.8 driver to be loaded, Secure Boot must still be set to No Security.

For now, I've decided to keep Secure Boot on and live with SoftRAID driver 5.6.8; I hope there are no negative consequences to doing so.

Quote
Topic starter Posted : 30/10/2019 4:19 pm
(@softraid-support)
Member Admin

This is not a great decision, as with 5.6.8, there will be no notifications, no rebuilding, etc. Also, writes are significantly slower. 5.6.8 is a bare driver we license to Apple for compatibility, it is not intended for regular use.

We are working with Apple on a longer term solution, but it probably will not be until 10.15.2 or so.

The SIP bug is fixed, as of 10.15.1 SIP no longer needs to be disabled. (5.8.1 removes the SIP dialog box)

But Mac's with the T2 security chip, Startup System Security must be disabled, at least until Apple can help us with a workaround.

ReplyQuote
Posted : 30/10/2019 5:35 pm
(@rs3dbiko)
New Member Customer

After I installed OSX 10.15.1 in my iMac with non-T2 chip, why is my volume identified as non-RAID when it is supposed to be RAID 5 with safeguard enabled?

Note that I have a RAID 5 Thunderbay drives connected to an iMac 27-inch Y2017.

When the SIP is enabled, the volume identifier is 'non-RAID'.
When the SIP is disabled, the volume identifier is 'RAID 5 safeguard enabled'.

For now, I have the SIP enabled with the volume identified as 'non-RAID'. Any help is much appreciated. Thank you.

ReplyQuote
Posted : 31/10/2019 7:32 pm
(@softraid-support)
Member Admin

We will investigate this, it is most likely a GUI issue.

ReplyQuote
Posted : 01/11/2019 1:32 am
(@andresena)
Eminent Member Customer

Hello,

Where I can find version 5.8.1 to download?

I tried here:
https://srforums.wpengine.com/pages/support/compatibility_notes.html#OS10.15_Catalina
When I click on the button "SoftRAID 5.8.1 Download" it downloads a file named "SoftRAID 5.8.dmg". After opening the file the app version is 5.8.

ReplyQuote
Posted : 03/11/2019 12:44 pm
(@softraid-support)
Member Admin

5.8.1 should be available around end of day Monday, November 4.
We had to do a full round of testing.

ReplyQuote
Posted : 03/11/2019 8:10 pm
(@andresena)
Eminent Member Customer

Thanks for the answer.

ReplyQuote
Posted : 04/11/2019 4:40 pm
(@andresena)
Eminent Member Customer

The update for the version 5.8.1 with my Imac with T1 chip went OK.
Driver version 5.8.1 are continuously being load with no SIP dialog box.
Thank you all for this amazing support and work!

ReplyQuote
Posted : 05/11/2019 8:28 am
(@gvngld)
New Member Customer

What should users with T1 chips do?
I'm running a late 2016 MacbookPro Touchbar with Catalina 10.15.1, and the driver for SoftRAID 5.8 won't install.
5.7 will no longer run, I get an error that it cannot initialize correctly and suggests that I boot from a different volume (I have no other bootable volumes) - same thing with Lite XT 5.7.5.

It appears all the downloads available currently are still 5.8, not 5.8.1.

ReplyQuote
Posted : 05/11/2019 8:58 am
(@softraid-support)
Member Admin

More details.
What do you mean by "won't install"?

Secure Boot is not an issue with the T1 chip.

ReplyQuote
Posted : 05/11/2019 9:19 am
(@softraid-support)
Member Admin

The update for the version 5.8.1 with my Imac with T1 chip went OK.
Driver version 5.8.1 are continuously being load with no SIP dialog box.
Thank you all for this amazing support and work!

I am unclear if you still have an issue. Do you mean you no longer need to update the driver when running 5.8.1? (good)

ReplyQuote
Posted : 05/11/2019 9:20 am
(@gvngld)
New Member Customer

More details.
What do you mean by "won't install"?

Secure Boot is not an issue with the T1 chip.

I have SoftRAID 5.8 installed - at launch, I get alert:
Update Driver
The SoftRAID driver installed on this Mac is incompatible with this version of the SoftRAID application. You must update the driver before you can run SoftRAID.
Options are Quit or Update
Choosing Update, immediately get the error:
Can't Install SoftRAID Driver
SoftRAID is unable to install a new copy of the SoftRAID driver due to a bug in Mac OS 10.15, Catalina, Please click the link below for instructions on working around this bug.
Link is to page about Catalina compatibility issues, which I should not be having as I don't have the T2 chip...
Does not seem to revert to any functioning version of the driver, as a relaunch follows the same sequence of alerts and errors.

ReplyQuote
Posted : 05/11/2019 10:12 am
(@storiestold)
New Member Customer

Where do I find 5.8.1? Only 5.8 is downloading from the main page. I'm seeing other users installing 5.8.1...

ReplyQuote
Posted : 05/11/2019 11:25 am
(@softraid-support)
Member Admin

Sorry, 5.8.1 is not yet posted on the direct download link, but you can reach 5.8.1 using "Check for Updates" inside SoftRAID.

Catalina 10.15.1 fixes the SIP (System Integrity Protection) bug.

5.8.1 removes the warning about SIP.

However, Secure Boot must still be disabled (Internet boot and disable Startup System Security by setting to none.)

ReplyQuote
Posted : 05/11/2019 12:06 pm
(@andresena)
Eminent Member Customer

The update for the version 5.8.1 with my Imac with T1 chip went OK.
Driver version 5.8.1 are continuously being load with no SIP dialog box.
Thank you all for this amazing support and work!

I am unclear if you still have an issue. Do you mean you no longer need to update the driver when running 5.8.1? (good)

Sorry if I wasn't very clear.

I don't have any issue.

And I was simply trying to congratulate the SoftRAID team for their great work by quickly solving problems.

ReplyQuote
Posted : 05/11/2019 2:11 pm
Page 1 / 2
Share:
close
open